------------------------------------------------------------------------------------
--Name：        200416[简体征服][活动脚本]全球儿童节
--Creator:      耿力兀
--Created:     2020-04-16
------------------------------------------------------------------------------------

------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(342,385)
CppScriptMgr:AddEffect("archer-s",344,377);
CppScriptMgr:AddEffect("archer-s",340,377);
CppScriptMgr:AddEffect("balloon1",338,386);
CppScriptMgr:AddEffect("FF12",340,390);
CppScriptMgr:AddEffect("balloon3",338,393);
CppScriptMgr:AddEffect("FF18",355,384);
CppScriptMgr:AddEffect("FF18",351,390);
CppScriptMgr:AddEffect("FF18",336,377);
CppScriptMgr:AddEffect("balloon2",351,377);
CppScriptMgr:AddEffect("balloon3",336,377);
local player4 = CppScriptMgr:AddSimplePlayer(25490,340,377,"Eker",4003000034,1)
local player5 = CppScriptMgr:AddSimplePlayer(25460,344,377,"Lisa",4003000035,1)
player5:SetZoomPercent(150);
-- local player4 = CppScriptMgr:AddSimplePlayer(1058390,345,365,"Eker",4003000034,1)
-- local player5 = CppScriptMgr:AddSimplePlayer(1058380,338,365,"Lisa",4003000035,1)
player4:WalkTo(340,393)
player5:WalkTo(344,393)
CppScriptMgr:NpcCallOut("These friends are from Spain and UK. No one can say to Dinnie Funfair!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
local player = CppScriptMgr:AddSimplePlayer(19935,344,442,"DailyQuestEnvoy",4003000030,1)
player4:Say("Wow! This is Twin City! So lively!",2000)
CppScriptMgr:WaitMilSec(3000)
player5:Say("It`s my dream to watch shows in Dinnie Funfair!",2000)
CppScriptMgr:WaitMilSec(2000)




-- 镜头二
CppScriptMgr:SetViewPosByCell(342,390)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,391)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,392)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,393)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,394)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,395)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,396)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,397)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,398)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,399)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,400)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,401)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,402)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,403)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,404)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,405)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,406)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,407)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,408)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,409)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,410)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,411)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,412)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,413)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,415)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,418)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,420)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,423)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(342,426)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(341,432)
CppScriptMgr:AddEffect("balloon1",333,429);
CppScriptMgr:AddEffect("balloon2",352,432);
CppScriptMgr:AddEffect("balloon3",350,446);
CppScriptMgr:AddEffect("balloon4",341,441);
CppScriptMgr:AddEffect("archer-s",341,432);
CppScriptMgr:AddEffect("archer-s",347,432);
CppScriptMgr:AddEffect("archer-s",345,436);
local player1 = CppScriptMgr:AddSimplePlayer(25466,341,432,"DuoDuo",4003000031,1)
local player2 = CppScriptMgr:AddSimplePlayer(25490,347,432,"FanFan",4003000032,1)
local player3 = CppScriptMgr:AddSimplePlayer(25484,345,436,"TongTong",4003000033,1)
player1:SetZoomPercent(150);
player3:SetZoomPercent(150);


CppScriptMgr:NpcCallOut("The opening ceremony in Dinnie Funfair is about to start. People are swamping into the funfair.", 4000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
player1:Say("Hurry! You will miss the performance in Dinnie Funfair!",2000)
-- player1:SetAction(190);
CppScriptMgr:WaitMilSec(2000)
player2:Say("Don`t hurry! The funfair will open for several days!",2000)
-- player2:SetAction(101);
CppScriptMgr:WaitMilSec(2000)
player3:Say("I heard that there will be a lot of foreign visitors. Where are they?",2000)
-- player3:SetAction(180);
CppScriptMgr:WaitMilSec(2000)



-- 镜头四
CppScriptMgr:SetViewPosByCell(345,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(346,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(347,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(348,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(350,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(352,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(353,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(354,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(355,435)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(356,436)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(357,437)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(358,438)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(359,439)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(360,440)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(361,441)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(362,442)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(363,443)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(364,444)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(365,445)
CppScriptMgr:WaitMilSec(50)

CppScriptMgr:SetViewPosByCell(371,445)
CppScriptMgr:AddEffect("archer-s",371,449);
CppScriptMgr:AddEffect("archer-s",371,452);
CppScriptMgr:AddEffect("archer-s",375,452);
CppScriptMgr:AddEffect("archer-s",379,452);
CppScriptMgr:AddEffect("archer-s",383,452);
CppScriptMgr:AddEffect("rainbow",371,445);
CppScriptMgr:AddEffect("JuneDX",371,437);
CppScriptMgr:AddEffect("niudanwang",371,445);

local player9 = CppScriptMgr:AddSimplePlayer(25444,371,449,"Bob",4003000039,1)
local player7 = CppScriptMgr:AddSimplePlayer(25464,371,452,"Betti",4003000037,1)
local player10 = CppScriptMgr:AddSimplePlayer(25492,375,452,"Luke",4003000040,1)
local player8 = CppScriptMgr:AddSimplePlayer(25442,379,452,"Noah",4003000038,1)
local player11 = CppScriptMgr:AddSimplePlayer(25492,383,452,"Shelly",4003000041,1)
local player12 = CppScriptMgr:AddSimplePlayer(1050160,371,445,"Donald",4003000042,1)
local player13 = CppScriptMgr:AddSimplePlayer(33180,379,445,"Nick",4003000043,1)
player12:SetZoomPercent(120);
player7:SetZoomPercent(120);
player9:SetZoomPercent(150);
player8:SetZoomPercent(150);
CppScriptMgr:NpcCallOut("There are people with balloons everywhere in Dinnie Funfair. Don`t wait up!", 4000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
player9:Say("It`s about to be my turn!",4000)

CppScriptMgr:WaitMilSec(2000)
player10:Say("Are there big chicken legs in the funfair?",4000)
CppScriptMgr:WaitMilSec(2000)
player11:Say("I want to play Hide & Seek!",4000)
CppScriptMgr:WaitMilSec(2000)

player12:Say("Don`t hurry!",4000)
player12:SetAction(190);
CppScriptMgr:WaitMilSec(1500)



player9:WalkTo(371,445)
player7:WalkTo(371,445)
player10:WalkTo(371,452)
player8:WalkTo(371,452)
player11:WalkTo(371,452)

CppScriptMgr:WaitMilSec(1000)
player9:SetPos(328,328)
player10:WalkTo(371,445)
CppScriptMgr:WaitMilSec(1000)
player7:SetPos(328,328)
player8:WalkTo(371,445)
CppScriptMgr:WaitMilSec(1000)
player10:SetPos(328,328)
CppScriptMgr:WaitMilSec(1000)
player8:SetPos(328,328)
player11:WalkTo(371,445)
CppScriptMgr:WaitMilSec(1000)
player11:SetPos(328,328)




